summaryrefslogtreecommitdiffstats
path: root/network/opera
diff options
context:
space:
mode:
author Edinaldo P. Silva2016-10-30 05:46:59 +0100
committer Willy Sudiarto Raharjo2016-10-31 17:33:50 +0100
commitd3ff2bec998d8e21cc0ad0dd6d78b0e5a7cb6f2c (patch)
tree310d3f5edaa266f1907421c884f1188eb8ec3e48 /network/opera
parente0dbfcc9fef324cbd4cb4bd25b127673ab78b87f (diff)
downloadslackbuilds-d3ff2bec998d8e21cc0ad0dd6d78b0e5a7cb6f2c.tar.gz
network/opera: Added (Fast and secure web browser).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/opera')
-rw-r--r--network/opera/README15
-rw-r--r--network/opera/default4
-rw-r--r--network/opera/doinst.sh13
-rw-r--r--network/opera/opera19
-rw-r--r--network/opera/opera.SlackBuild112
-rw-r--r--network/opera/opera.info10
-rw-r--r--network/opera/slack-desc19
7 files changed, 192 insertions, 0 deletions
diff --git a/network/opera/README b/network/opera/README
new file mode 100644
index 0000000000..fc3db7f62a
--- /dev/null
+++ b/network/opera/README
@@ -0,0 +1,15 @@
+opera (Fast and secure web browser)
+
+Opera is a fast, secure, and user-friendly web browser.
+
+It includes web developer tools, news aggregation, and the ability
+to compress data via Opera Turbo on congested networks.
+
+* recently, Opera bring us VPN support, Ad Blocker, and the first
+version of RSS support!
+
+This is a Stable version of Opera browser, for development version
+please see "opera-development" and for a old version based on
+Presto engine, please see a SlackBuild called "opera-legacy".
+
+This suggests: pepperflash-plugin, ffmpeg, opera-ffmpeg-codecs.
diff --git a/network/opera/default b/network/opera/default
new file mode 100644
index 0000000000..380d9ccee9
--- /dev/null
+++ b/network/opera/default
@@ -0,0 +1,4 @@
+# Default settings for chromium. This file is sourced by /usr/bin/chromium
+
+# Options to pass to chromium
+OPERA_FLAGS=""
diff --git a/network/opera/doinst.sh b/network/opera/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/network/opera/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/opera/opera b/network/opera/opera
new file mode 100644
index 0000000000..e9035deb3c
--- /dev/null
+++ b/network/opera/opera
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+# Allow users to override command-line options
+# Based on Gentoo's chromium package (and by extension, Debian's)
+
+if [[ -f /etc/opera/default ]]; then
+ . /etc/opera/default
+fi
+
+# Prefer user defined CHROMIUM_USER_FLAGS (from env) over system
+# default CHROMIUM_FLAGS (from /etc/chromium/default)
+
+OPERA_FLAGS=${OPERA_USER_FLAGS:-$OPERA_FLAGS}
+
+if [ "$ARCH" = "x86_64" ]; then
+ exec /usr/lib64/opera/opera $OPERA_FLAGS "$@"
+else
+ exec /usr/lib/opera/opera $OPERA_FLAGS "$@"
+fi
diff --git a/network/opera/opera.SlackBuild b/network/opera/opera.SlackBuild
new file mode 100644
index 0000000000..d7d717d30d
--- /dev/null
+++ b/network/opera/opera.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+#
+# Slackware build script for opera.
+#
+# Copyright 2016 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=opera
+VERSION=${VERSION:-41.0.2353.46}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+SRCNAM=$PRGNAM-stable
+
+set -e
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+ BITS="i386"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ BITS="i386"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ BITS="amd64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-${VERSION}-${BITS}
+mkdir -p $PRGNAM-${VERSION}
+ar p $CWD/${SRCNAM}_${VERSION}_${BITS}.deb data.tar.xz | xz -dv | tar -xf- \
+ --transform="s,/lib/.*-linux-gnu,/lib$LIBDIRSUFFIX," \
+ --exclude="./usr/share/lintian" --exclude="./usr/share/menu" -C $PRGNAM-${VERSION}
+cd $PRGNAM-${VERSION}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mv usr $PKG
+
+if [ "$ARCH" = "i586" ]; then
+ chown root:root $PKG/usr/lib/$PRGNAM/opera_sandbox
+ chmod 4755 "$PKG/usr/lib/$PRGNAM/opera_sandbox"
+elif [ "$ARCH" = "i686" ]; then
+ chown root:root $PKG/usr/lib/$PRGNAM/opera_sandbox
+ chmod 4755 "$PKG/usr/lib/$PRGNAM/opera_sandbox"
+elif [ "$ARCH" = "x86_64" ]; then
+ chown root:root $PKG/usr/lib64/$PRGNAM/opera_sandbox
+ chmod 4755 "$PKG/usr/lib64/$PRGNAM/opera_sandbox"
+fi
+
+mkdir -p $PKG/etc/$PRGNAM/
+install -Dm644 $CWD/default $PKG/etc/$PRGNAM/default
+
+rm $PKG/usr/bin/$PRGNAM
+install -Dm755 $CWD/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+mv $PKG/usr/share/doc $PKG/usr/
+mv $PKG/usr/doc/$PRGNAM-stable $PKG/usr/doc/${PRGNAM}-$VERSION
+cd $PKG/usr/doc/${PRGNAM}-$VERSION/
+gzip -dc changelog.gz > ChangeLog; rm -f changelog.gz;
+mkdir -p $PKG/usr/share/licenses/$PRGNAM
+install -Dm644 copyright $PKG/usr/share/licenses/$PRGNAM/copyright
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/opera/opera.info b/network/opera/opera.info
new file mode 100644
index 0000000000..824ee4bc72
--- /dev/null
+++ b/network/opera/opera.info
@@ -0,0 +1,10 @@
+PRGNAM="opera"
+VERSION="41.0.2353.46"
+HOMEPAGE="http://www.opera.com/browser/"
+DOWNLOAD="http://download3.operacdn.com/pub/opera/desktop/41.0.2353.46/linux/opera-stable_41.0.2353.46_i386.deb"
+MD5SUM="25313b4a430707284c0d13279639a1b1"
+DOWNLOAD_x86_64="http://download3.operacdn.com/pub/opera/desktop/41.0.2353.46/linux/opera-stable_41.0.2353.46_amd64.deb"
+MD5SUM_x86_64="4da9d9fd34a147e96924a5954928fed4"
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/network/opera/slack-desc b/network/opera/slack-desc
new file mode 100644
index 0000000000..a1f2ff90be
--- /dev/null
+++ b/network/opera/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+opera: opera (Fast and secure web browser)
+opera:
+opera: Opera is a fast, secure, and user-friendly web browser.
+opera:
+opera: It includes web developer tools, news aggregation, and the ability
+opera: to compress data via Opera Turbo on congested networks.
+opera:
+opera: Home page: http://www.opera.com/browser/
+opera:
+opera:
+opera: